import 'mocha';
import { PinusWSClient } from 'pinus-robot-plugin';
import { expect } from 'chai';
import { Client } from './Client';
describe('测试赵云传登录', function() {
  let pinusClient: PinusWSClient;

  afterEach(function(done) {
    pinusClient.disconnect();
    done();
  });

  it('登录测试', function(done) {
    const c = new Client();
    setTimeout(() => {
      expect(c.client).to.be.an('object');
      expect(c.roleInfo).to.be.an('object');
      pinusClient = c.client;
      done();
    }, 1000);
  });
});
